- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::SL3::CredentialsCurator Class Reference

Implementation of the SecurityLevel3::CredentialsCurator object. More...

`#include <SL3_CredentialsCurator.h>`

Inheritance diagram for TAO::SL3::CredentialsCurator:

[legend]
Collaboration diagram for TAO::SL3::CredentialsCurator:

[legend]
List of all members.

## Public Types
typedef ACE_Map_Manager< const char *, TAO::SL3::CredentialsAcquirerFactory *, ACE_Null_Mutex > | Acquirer_Factory_Table
typedef Acquirer_Factory_Table::iterator | Factory_Iterator
typedef ACE_Hash_Map_Manager_Ex< const char *, SecurityLevel3::OwnCredentials_var, ACE_Hash< const char * >, ACE_Equal_To< const char * >, ACE_Null_Mutex > | Credentials_Table
typedef Credentials_Table::iterator | Credentials_Iterator
## Public Member Functions
| CredentialsCurator (void)
| Constructor.
void | register_acquirer_factory (const char *acquisition_method, TAO::SL3::CredentialsAcquirerFactory *factory)
| Register CredentialsAcquirer factory.
void | _tao_add_own_credentials (SecurityLevel3::OwnCredentials_ptr credentials)
SecurityLevel3::CredentialsCurator Methods
Methods required by the SecurityLevel3::CredentialsCurator interface.
virtual SecurityLevel3::AcquisitionMethodList * | supported_methods () throw (CORBA::SystemException)
virtual SecurityLevel3::CredentialsAcquirer_ptr | acquire_credentials (const char *acquisition_method, const CORBA::Any &acquisition_arguments) throw (CORBA::SystemException)
virtual SecurityLevel3::OwnCredentialsList * | default_creds_list () throw (CORBA::SystemException)
virtual SecurityLevel3::CredentialsIdList * | default_creds_ids () throw (CORBA::SystemException)
virtual SecurityLevel3::OwnCredentials_ptr | get_own_credentials (const char *credentials_id) throw (CORBA::SystemException)
virtual void | release_own_credentials (const char *credentials_id) throw (CORBA::SystemException)
## Static Public Member Functions
static CredentialsCurator_ptr | _duplicate (CredentialsCurator_ptr obj)
static CredentialsCurator_ptr | _nil (void)
static CredentialsCurator_ptr | _narrow (CORBA::Object_ptr obj)
## Protected Member Functions
| ~CredentialsCurator (void)
| Destructor.
## Private Attributes
TAO_SYNCH_MUTEX | lock_
| Lock used to synchronize access to underlying tables.
Acquirer_Factory_Table | acquirer_factories_
| Table of CredentialsAcquirer factories.
Credentials_Table | credentials_table_
| Table of OwnCredentials.

## Detailed Description

Implementation of the SecurityLevel3::CredentialsCurator object.

This class provides a means for creating and managing OwnCredentials.

## Member Typedef Documentation

typedef ACE_Map_Manager<const char *, TAO::SL3::CredentialsAcquirerFactory *, ACE_Null_Mutex> TAO::SL3::CredentialsCurator::Acquirer_Factory_Table

The type of table that maps acquisition method to acquirer factory.

typedef Credentials_Table::iterator TAO::SL3::CredentialsCurator::Credentials_Iterator

typedef ACE_Hash_Map_Manager_Ex<const char *, SecurityLevel3::OwnCredentials_var, ACE_Hash<const char *>, ACE_Equal_To<const char *>, ACE_Null_Mutex> TAO::SL3::CredentialsCurator::Credentials_Table

typedef Acquirer_Factory_Table::iterator TAO::SL3::CredentialsCurator::Factory_Iterator

## Constructor & Destructor Documentation

TAO::SL3::CredentialsCurator::CredentialsCurator | ( | void |  | ) |

Constructor.

TAO::SL3::CredentialsCurator::~CredentialsCurator | ( | void |  | ) | `[protected]`

Destructor.

Protected destructor to enforce proper memory management through the reference counting mechanism.

## Member Function Documentation

TAO::SL3::CredentialsCurator_ptr TAO::SL3::CredentialsCurator::_duplicate | ( | CredentialsCurator_ptr | obj | ) | `[static]`

TAO::SL3::CredentialsCurator_ptr TAO::SL3::CredentialsCurator::_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

Reimplemented from CORBA::LocalObject.

TAO::SL3::CredentialsCurator_ptr TAO::SL3::CredentialsCurator::_nil | ( | void |  | ) | `[static]`

Reimplemented from CORBA::LocalObject.

void TAO::SL3::CredentialsCurator::_tao_add_own_credentials | ( | SecurityLevel3::OwnCredentials_ptr | credentials | ) |

TAO-specific means of adding credentials to this CredentialsCurator's "own credentials" list.

virtual SecurityLevel3::CredentialsAcquirer_ptr TAO::SL3::CredentialsCurator::acquire_credentials | ( | const char * | acquisition_method,
|  | const CORBA::Any & | acquisition_arguments |
| ) |  |  | throw (CORBA::SystemException)`[virtual]`

virtual SecurityLevel3::CredentialsIdList* TAO::SL3::CredentialsCurator::default_creds_ids | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

virtual SecurityLevel3::OwnCredentialsList* TAO::SL3::CredentialsCurator::default_creds_list | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

virtual SecurityLevel3::OwnCredentials_ptr TAO::SL3::CredentialsCurator::get_own_credentials | ( | const char * | credentials_id | ) | throw (CORBA::SystemException)`[virtual]`

void TAO::SL3::CredentialsCurator::register_acquirer_factory | ( | const char * | acquisition_method,
|  | TAO::SL3::CredentialsAcquirerFactory * | factory |
| ) |  |  |

Register CredentialsAcquirer factory.

Note:
  The CredentialsCurator retains ownership of the factory.

virtual void TAO::SL3::CredentialsCurator::release_own_credentials | ( | const char * | credentials_id | ) | throw (CORBA::SystemException)`[virtual]`

virtual SecurityLevel3::AcquisitionMethodList* TAO::SL3::CredentialsCurator::supported_methods | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

Acquirer_Factory_Table TAO::SL3::CredentialsCurator::acquirer_factories_`[private]`

Table of CredentialsAcquirer factories.

Credentials_Table TAO::SL3::CredentialsCurator::credentials_table_`[private]`

Table of OwnCredentials.

TAO_SYNCH_MUTEX TAO::SL3::CredentialsCurator::lock_`[private]`

Lock used to synchronize access to underlying tables.

The documentation for this class was generated from the following files:

- SL3_CredentialsCurator.h
- SL3_CredentialsCurator.cpp